<?php
// ************************原則************************
//        1. 目前依照前端頁面所看到的 "由上往下" 呈現
// ****************************************************

$seo = \DB::table(config('seo.table'))->get()->groupBy('tag');

return [

	'web_title' => $seo['default'][0]['title'], // 後台seo設定控制
	'address'   => '',

	'language' => [
		'tw' => '繁體中文',
		'cn' => '简体中文',
		'en' => 'English',
		'jp' => '日本語',
	],

	'header' => [
		'about'=>'關於我們',
		'product'=>'產品介紹',
		'contact'=>'聯絡我們',
		'menu'=>'選單',
	],

	// 首頁
	'home' => [
		'title' => '首頁',

		'about' => [
			'main-title' => '關於我們',
			'p' => '本公司創立於1987年3月，初期經營項目為包裝紙印刷以及買賣，後來在1993年轉往彩虹膜複合材料以及隔熱紙離型膜等產品，逐漸走向高端應用材料塗佈。<br><br>
                        
                        後來隨著台灣電子業在世界上逐漸取得一席之地，產生許多具高潔淨度的膜類應用材料需求，公司也決定轉型，讓塗佈的技術更加符合各類型電子業的需求，同時也強化與原先傳統產業的連結，使我們可以更多角化的經營來滿足不同業界客戶的需要。',
		],

		'product' => [
			'main-title' => '產品介紹',
		],

		

		'more' => '查看更多',
	],

	// 關於群賀
	'about' => [
		'title' => '關於群賀',
		'sub_title' => '公司概要',
		'tab1'=>[
				'title'=>'公司沿革',
				'1'=>'本公司創立於 1987 年 3 月，廠區設立於台中市南區，初始的經營項目為包裝 紙的生產與買賣。後因大環境的影響，公司的生意轉向為生產隔熱紙離型膜 以及貼合彩虹膜複合材料等產品，進而逐漸走向更高端的應用材料塗佈產品。',
				'2'=>'後來體認到台灣電子業在世界上的領導地位將創造許多具有高潔淨度的膜類 應用材料使用，決定讓公司轉型，從傳統的石化加工業變為更高資本及技術 的科技業，讓我們的產品可以更符合各類型電子業的需要。在此同時，也因 為應用的材料越來越多，使我們可以更多角化經營不同的傳統或非傳統業界， 以符合不同客戶的需要。',
				'3'=>'同時在十年前為了廣大的中國市場，我們也在東莞的常平設立工廠，兩地的 技術不斷交流精進，都做出了不錯的成績。因為如此，許多在大陸有工廠的 客戶在與我們配合上也會有更多的彈性，兩岸物料供應的來往更加的順利。',
				'4'=>'曾經，潤德塑膠在客戶的眼中只是一家老牌的離型塗佈工廠，未來，希望我 們可以成為客戶心中不可缺少的生產夥伴，以應用材料塗佈在這個業界成為 首屈一指的企業。',


		],
		'tab2'=>[
				'title'=>'我們的目標',
				'1'=>'我們期許自己可以具有',
				'2'=>'良好的開發能力，並持續提升生產環境',
				'3'=>'至一流工廠的程度。',
				'4'=>'利用許多特殊的應用材料進行精密塗佈， 以客製化與大量生產中找到平衡點，成為我們客戶不可或缺的生意夥伴。',
				

		],
		 'tab3'=>[
				'title'=>'經營項目',
				

		],
		 'tab4'=>[
				'title'=>'工廠版圖',
				'1'=>'台灣',
				'2'=>'中國',
				'3'=>'位置',
				'4'=>'台中市大雅區<br>（中部科學園區附近）',
				'5'=>'廣東省東莞市<br>常平鎮黃泥塘村',
				'6'=>'佔地',
				'7'=>'1200坪',
				'8'=>'1000坪',
				'9'=>'人數',
				'a'=>'30餘人',
				'b'=>'30餘人',
				

		], 
		'tab5'=>[
				'title'=>'技術能力',
				'1'=>'印刷',
				'2'=>'貼合',
				'3'=>'塗料<br>應用開發',
				'4'=>'一般塗佈',
				'5'=>'精密塗佈',
				

		],
		'tab6'=>[
				'title'=>'品管政策',
				'1'=>'',
				'2'=>'',
				'3'=>'',
				'4'=>'',
				

		],
		
	],

	

	// 產品資訊
	'product' => [
		'title' => '產品資訊',

		'editor-box' => [
			'title' => '產品介紹',
		],

		'back'  => '回上頁',
		'structure'=>'產品結構',
		'features'=>'產品特色',
		'search' => [
			'title' => '搜尋產品',
		],
	],

	
	// 聯絡我們
	'contact' => [
		'title' => '聯絡我們',

		'contact-info' =>
			'歡迎與我們洽詢相關產品資訊，<br>
                        將有專人與您聯繫。',

	    'rule_message' => [
	        'company'  => [
	        	'required' => '公司名稱 尚未填寫',
	        ],

	        'country'  => [
	        	'required' => '國家 尚未填寫',
	        ],

	        'name'  => [
	        	'required' => '聯絡人 尚未填寫',
	        ],

	        

	        'tel'   => [
				'required' => '電話 尚未填寫',
				'numeric'  => '電話 請輸入數字'
	        ],

	        'email' => [
				'required' => 'E-mail 尚未填寫',
				'format'   => 'E-mail 格式錯誤',
	        ],

	        'subject'  => [
	        	'required' => '詢問主題  尚未填寫',
	        ],

	        'info'  => [
	        	'required' => '詢問內容 尚未填寫',
	        ],

	        'captcha'  => [
				'required' => '驗證碼 尚未填寫',
				'in'       => '驗證碼 輸入錯誤',
	        ],

	        'g-recaptcha-response'  => [
				'required' => '請確認你不是機器人!',
				'captcha'  => '驗證錯誤! 請稍後再試或者聯繫網站管理員',
	        ],
	    ],

	    'form' => [
			'company'   => '公司名稱',
			'email'     => 'E-mail',
			'country'      => '國家',
			'name'      => '聯絡人',
			'tel'       => '電話',
			'subject'   => '詢問主題',
			'info'      => '詢問內容',
			'NoCaptcha' => [
				'lang' => 'zh-TW',
			],
			'send' => '送出',
	    ],

		'data_error'     => '資料有誤，請重新填寫',
		'send_mail_fail' => '信件寄送失敗',
		'process_msg'    => '感謝您的留言',

		'google-map' => [
			'lang' => 'zh-TW',
		],
	],

	// footer
	'footer' => [
		'address' => [
			'title' => '地址',
			'info'  => '30264 新竹縣竹北市光明六路東一段 255 號 15F',
		],
		'tel' => [
			'title' => '電話',
			'info'  => '+886-3-6580199',
		],
		'time' => [
			'title' => '時間',
			'info'  => '週一至週五，09:30-18:30',
		],
		'copyright' => [
			'author' => '網頁設計',
		],
	],
];