@extends('web.includes.layout',[
'page_title' => lang('header.about').' - ',
'main_id' => 'about',
'seo' => false,
'seo_description' => '',
'seo_image'=> '',
'seo_type' => 'website',
])


@push('head')

@endpush
@push('script')

<script>
    var headerH = document.querySelector('.navbar').clientHeight;
    var selectH = document.querySelector('#about-section-select').clientHeight;
    var body = document.querySelector('body');
    body.setAttribute('data-spy' , 'scroll')
    body.setAttribute('data-target' , '#about-section-select')
    body.setAttribute('data-offset' , headerH + selectH)
    var sticky = new Waypoint({
        element: document.querySelector('#about-section-select'),
        handler: function(direction) {
            
            this.element.style = 'top: '+ headerH + 'px';
        },
        offset: headerH - 5
    })

    $('#about-section-select .item').click(function(){
        var id = $(this).attr('href');
        // console.log(href);
        $(window).scrollTo( $(id), 1000 , {offset: { top: - headerH - selectH } });
        return false;
    })
</script>

@endpush

@section('main')

<div id="inner-banner" class="ani" data-ani="fadeIn">
    <div class="pic cover">
        <span><img src="{{ resources_path() }}_img/about/banner.jpg" alt=""></span>
    </div>
</div>
<div id="about-section-select" class="bg-primary2 text-white">
    <div class="nav row justify-content-center">
        <a href="#about-us" class="nav-link item col-auto">{{lang('about.tab1.title')}}</a>
        <a href="#our-goal" class="nav-link item col-auto">{{lang('about.tab2.title')}}</a>
        <a href="#management-projects" class="nav-link item col-auto">{{lang('about.tab3.title')}}</a>
        <a href="#factory-layout" class="nav-link item col-auto">{{lang('about.tab4.title')}}</a>
        <a href="#technical" class="nav-link item col-auto">{{lang('about.tab5.title')}}</a>
        <a href="#quality-control" class="nav-link item col-auto">{{lang('about.tab6.title')}}</a>
    </div>
</div>
<article>
    <section id="about-us" class="py-5">
        <div class="container">
            <div class="d-flex">
                <div class="l-title pr-5">
                    <div class="main-title verticle ani" data-ani="fadeInUp">
                        <div class="t1 fs-24 text-primary3 line-height-1 mb-2"><span class="t-line"></span><span class="t"> {{lang('about.tab1.title')}}</span></div>
                        <div class="t2 fs-40 font-arial text-primary3 font-italic font-weight-bold line-height-1"><span class="t">ABOUT US<span></div>
                    </div>
                </div>
                <div class="r-content flex-fill ani" data-ani="fadeInRight">
                    <img src="{{ resources_path() }}_img/about/01.jpg" alt="">
                    <div class="txt line-height-1-8 text-primary2 mt-4">
                     {{lang('about.tab1.1')}}<br><br>
                        
                        {{lang('about.tab1.2')}}<br><br>
                        
                      {{lang('about.tab1.3')}}<br><br>
                        
                        {{lang('about.tab1.4')}}
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="our-goal" class="py-5">
        <div class="container">
            <div class="d-flex align-items-center">
                <div class="l-title pr-5">
                    <div class="main-title verticle ani" data-ani="fadeInUp">
                        <div class="t1 fs-24 text-primary3 line-height-1 mb-2"><span class="t-line"></span><span class="t">{{lang('about.tab2.title')}}</span></div>
                        <div class="t2 fs-40 font-arial text-primary3 font-italic font-weight-bold line-height-1"><span class="t">OUR GOAL<span></div>
                    </div>
                </div>
                <div class="r-content flex-fill ani" data-ani="fadeInRight">
                    <div class="txt line-height-1-8 text-primary2 mt-4">
                        <div class="border rounded border-primary2 px-5 py-4">
                             {{lang('about.tab2.1')}} <span class="font-weight-bold fs-18"> {{lang('about.tab2.2')}}</span> {{lang('about.tab2.3')}}<br>
                            {{lang('about.tab2.4')}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="management-projects" class="py-5">
        <div class="container">
            <div class="d-flex align-items-center">
                <div class="l-title pr-5">
                    <div class="main-title verticle ani" data-ani="fadeInUp">
                        <div class="t1 fs-24 text-primary3 line-height-1 mb-2"><span class="t-line"></span><span class="t">{{lang('about.tab3.title')}}</span></div>
                        <div class="t2 fs-40 font-arial text-primary3 font-italic font-weight-bold line-height-1"><span class="t">MANAGEMENT PROJECTS<span></div>
                    </div>
                </div>
                <div class="r-content flex-fill ani" data-ani="fadeInRight">
                    <div class="txt line-height-1-8 text-primary2 mt-4">
                        <img src="{{ resources_path() }}_img/about/03_{{ \Session::get('lang') }}.svg" alt="" class="mx-auto">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="factory-layout" class="pb-5">
        <div class="container-fluid">
            <div class="d-flex flex-wrap flex-lg-nowrap align-items-center">
                <div class="l-img">
                    <img src="{{ resources_path() }}_img/about/map.svg" alt="">
                </div>
                <div class="r-content mt-4 mt-lg-0 mx-auto ani" data-ani="fadeInRight">
                    <div class="main-title ani" data-ani="fadeInUp">
                        <div class="t1 fs-24 text-primary3 line-height-1 mb-2"><span class="t-line"></span><span class="t">{{lang('about.tab4.title')}}</span></div>
                        <div class="t2 fs-40 font-arial text-primary3 font-italic font-weight-bold line-height-1"><span class="t">FACTORY LAYOUT<span></div>
                    </div>
                    <div class="table-row mt-5">
                        <table class="factory-table align-middle table text-center table-borderless">
                            <thead>
                                <tr>
                                    <th></th>
                                    <th> {{lang('about.tab4.1')}}</th>
                                    <th> {{lang('about.tab4.2')}}</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td class="text-primary2 font-weight-bold"> {{lang('about.tab4.3')}}</td>
                                    <td>
                                        {!! lang('about.tab4.4') !!}
                                    </td>
                                    <td>
                                         {!! lang('about.tab4.5') !!}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-primary2 font-weight-bold">{{lang('about.tab4.6')}}</td>
                                    <td>
                                        {{lang('about.tab4.7')}}
                                    </td>
                                    <td>
                                        {{lang('about.tab4.8')}}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-primary2 font-weight-bold"> {{lang('about.tab4.9')}}</td>
                                    <td>
                                         {{lang('about.tab4.a')}}
                                    </td>
                                    <td>
                                         {{lang('about.tab4.b')}}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="technical" class="py-5">
        <div class="container">
            <div class="d-flex align-items-md-center">
                <div class="l-title pr-5">
                    <div class="main-title verticle ani" data-ani="fadeInUp">
                        <div class="t1 fs-24 text-primary3 line-height-1 mb-2"><span class="t-line"></span><span class="t">{{lang('about.tab5.title')}}</span></div>
                        <div class="t2 fs-40 font-arial text-primary3 font-italic font-weight-bold line-height-1"><span class="t">TECHNICAL<span></div>
                    </div>
                </div>
                <div class="r-content flex-fill ani" data-ani="fadeInRight">
                    <div class="tech-list row justify-content-around align-items-center">
                        <div class="tech-item col-auto">
                            <div class="content">
                                <div>
                                    <img src="{{ resources_path() }}_img/about/icon/01.svg" alt="">
                                    <div class="t fs-20 font-weight-bold text-primary2">{{lang('about.tab5.1')}}</div>
                                </div>
                            </div>
                        </div>
                        <div class="tech-item col-auto">
                            <div class="content">
                                <div>
                                    <img src="{{ resources_path() }}_img/about/icon/02.svg" alt="">
                                    <div class="t fs-20 font-weight-bold text-primary2">{{lang('about.tab5.2')}}</div>
                                </div>
                            </div>
                        </div>
                        <div class="tech-item col-auto">
                            <div class="content">
                                <div>
                                    <img src="{{ resources_path() }}_img/about/icon/03.svg" alt="">
                                    <div class="t fs-20 font-weight-bold text-primary2">{!! lang('about.tab5.3') !!}</div>
                                </div>
                            </div>
                        </div>
                        <div class="tech-item col-auto">
                            <div class="content">
                                <div>
                                    <img src="{{ resources_path() }}_img/about/icon/04.svg" alt="">
                                    <div class="t fs-20 font-weight-bold text-primary2">{{lang('about.tab5.4')}}</div>
                                </div>
                            </div>
                        </div>
                        <div class="tech-item col-auto">
                            <div class="content">
                                <div>
                                    <img src="{{ resources_path() }}_img/about/icon/05.svg" alt="">
                                    <div class="t fs-20 font-weight-bold text-primary2">{{lang('about.tab5.5')}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="quality-control" class="py-5">
        <div class="container">
            <div class="d-flex align-items-center">
                <div class="l-title pr-5">
                    <div class="main-title verticle ani" data-ani="fadeInUp">
                        <div class="t1 fs-24 text-primary3 line-height-1 mb-2"><span class="t-line"></span><span class="t">{{lang('about.tab6.title')}}</span></div>
                        <div class="t2 fs-40 font-arial text-primary3 font-italic font-weight-bold line-height-1"><span class="t">QUALITY CONTROL<span></div>
                    </div>
                </div>
                <div class="r-content flex-fill ani" data-ani="fadeInRight">
                    <div class="txt line-height-1-8 text-primary2 mt-4">
                        <img src="{{ resources_path() }}_img/about/04_{{ \Session::get('lang') }}.svg" alt="" class="mx-auto" width="380" height="auto">
                    </div>
                </div>
            </div>
        </div>
    </section>
</article>



@endsection